summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--media-libs/libpng/Manifest2
-rw-r--r--media-libs/libpng/libpng-1.6.29.ebuild45
2 files changed, 47 insertions, 0 deletions
diff --git a/media-libs/libpng/Manifest b/media-libs/libpng/Manifest
index b7cf8e55978..da0d6fd9c3d 100644
--- a/media-libs/libpng/Manifest
+++ b/media-libs/libpng/Manifest
@@ -5,3 +5,5 @@ DIST libpng-1.6.27-apng.patch.gz 10343 SHA256 650ca925dae8565ac8882854682ed13954
DIST libpng-1.6.27.tar.xz 984316 SHA256 fca2ffd97336356cdab9bfa8936b9d6dfd580a70205e5dfead3ac42cb054b57b SHA512 9dcf54147fa2637a72364246e8565c0a6d25e4313f26150689b166eabd4358177e1caf38ff622b04c71f3b7cfd550f7fd6ca87892c50203a63b92f365fc7c8d7 WHIRLPOOL 6f68c929ac7aa28d41bea26843f0028b447144e2c0c7a8958f44a7d3c62c9d17fa22d4e5ce709b0dbf5234f80829fb554023fc229a5397a97deb0fff17bf5895
DIST libpng-1.6.28-apng.patch.gz 10316 SHA256 85cfa524a95b0d1a31012b8ad90536911ea66beb5821459ae92a1d6a68f1ac88 SHA512 bcc67e0cc0c6ef39f642ea4682c9510cb3528f39748b71b3c9fb7bf270d982260933e99062949381b54ab79ea418a121848dfd014faf394d53c12d1fa5c04717 WHIRLPOOL ebb08d4cb637ea582b63a745ec1cde2137a410f59699fabd39324fc65d102ba8ca87b25596ce9eeb4d964099bf45336a3cb6011bfdd3782c99009f07fae424b6
DIST libpng-1.6.28.tar.xz 984536 SHA256 d8d3ec9de6b5db740fefac702c37ffcf96ae46cb17c18c1544635a3852f78f7a SHA512 3541139062a1c6cded7abe378ae73519835ec68561006ba33b3fe34f65676e4f91f2561b11d890ac20255dbf2e691e0b3d4fbf11db77b47b67979ba45b8af655 WHIRLPOOL be2222abf30d50c6e4f9215be532e6601c04afee1ee5f8d73126bf6b8ea9d7b7d55a39eb141ede6afc335894ab7d4d676018a41e4b9d69d69062012608418956
+DIST libpng-1.6.29-apng.patch.gz 10313 SHA256 6120948990a86f8118d67471ff04e35ca1f93722061ef6b90842c64608584b91 SHA512 348121e2b7ab1bac8d4ce3ab6e60f56f1f28bedbbdeb2f87b32662f838713460d8bced3401e9d736969f6fe2eb40d77028c9d4f569c59a091c860b6507026975 WHIRLPOOL 8e8bc0c6a3b974ac1a23f817954737494392c4a90f2c6ed0c3e8d72dc2ad2e5fa53f3dfb0eb9fc4117dfb544b908cfc81ebc62bf5753c35459cc35e902ef57e1
+DIST libpng-1.6.29.tar.xz 987652 SHA256 4245b684e8fe829ebb76186327bb37ce5a639938b219882b53d64bd3cfc5f239 SHA512 070393423ec11f19e3264a0200959ae09238aa005615571586987253028b4ffb7e6b7c734a132f65180252b0259f79add03896d79fdc7dcfd8773b82c82a5ffc WHIRLPOOL c4f8a3ff526146c49cf773b5819b313e454cf86b22d732b0d17d7f29b11d092e7b3b04a1f7b07580d9f3f9e765bcef497a68612fe30a3e36b112bdc64dfa6c6d
diff --git a/media-libs/libpng/libpng-1.6.29.ebuild b/media-libs/libpng/libpng-1.6.29.ebuild
new file mode 100644
index 00000000000..a49d749b0a3
--- /dev/null
+++ b/media-libs/libpng/libpng-1.6.29.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils libtool multilib-minimal
+
+DESCRIPTION="Portable Network Graphics library"
+HOMEPAGE="http://www.libpng.org/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.xz
+ apng? ( mirror://sourceforge/apng/${P}-apng.patch.gz )"
+
+LICENSE="libpng"
+SLOT="0/16"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris ~x86-winnt"
+IUSE="apng cpu_flags_x86_sse neon static-libs"
+
+RDEPEND=">=sys-libs/zlib-1.2.8-r1:=[${MULTILIB_USEDEP}]
+ abi_x86_32? ( !<=app-emulation/emul-linux-x86-baselibs-20130224-r1
+ !app-emulation/emul-linux-x86-baselibs[-abi_x86_32(-)] )"
+DEPEND="${RDEPEND}
+ app-arch/xz-utils"
+
+src_prepare() {
+ default
+ if use apng; then
+ eapply -p0 "${WORKDIR}"/${PN}-*-apng.patch
+ # Don't execute symbols check with apng patch wrt #378111
+ sed -i -e '/^check/s:scripts/symbols.chk::' Makefile.in || die
+ fi
+ elibtoolize
+}
+
+multilib_src_configure() {
+ ECONF_SOURCE="${S}" econf \
+ $(use_enable cpu_flags_x86_sse intel-sse) \
+ $(use_enable static-libs static) \
+ --enable-arm-neon=$(usex neon)
+}
+
+multilib_src_install_all() {
+ DOCS=( ANNOUNCE CHANGES libpng-manual.txt README TODO )
+ einstalldocs
+ prune_libtool_files --all
+}